GET /v1/topics/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Topics
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Topics.get_versions("0a021819-982e-4ee4-a5a2-4af30eaa3016")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
topic_v1 = Topics.get_specific_version(
"0a021819-982e-4ee4-a5a2-4af30eaa3016",
"0.1"
)
print(f"Original description: {topic_v1.description}")
import static org.openmetadata.sdk.fluent.Topics.*;
// List all versions
var history = Topics.getVersions("0a021819-982e-4ee4-a5a2-4af30eaa3016");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Topics.getSpecificVersion(
"0a021819-982e-4ee4-a5a2-4af30eaa3016",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/topics/0a021819-982e-4ee4-a5a2-4af30eaa3016/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/topics/0a021819-982e-4ee4-a5a2-4af30eaa3016/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "topic",
"versions": [
"{\"id\":\"0a021819-982e-4ee4-a5a2-4af30eaa3016\",\"name\":\"address_book\",\"fullyQualifiedName\":\"sample_kafka.address_book\",\"version\":0.2,\"description\":\"Updated: All Protobuf record events captured with enhanced schema\",\"serviceType\":\"Kafka\"}",
"{\"id\":\"0a021819-982e-4ee4-a5a2-4af30eaa3016\",\"name\":\"address_book\",\"fullyQualifiedName\":\"sample_kafka.address_book\",\"version\":0.1,\"description\":\"All Protobuf record related events gets captured in this topic\",\"serviceType\":\"Kafka\"}"
]
}
Topic Versions
List and retrieve historical versions of a topic
GET
/
v1
/
topics
/
{id}
/
versions
GET /v1/topics/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Topics
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Topics.get_versions("0a021819-982e-4ee4-a5a2-4af30eaa3016")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
topic_v1 = Topics.get_specific_version(
"0a021819-982e-4ee4-a5a2-4af30eaa3016",
"0.1"
)
print(f"Original description: {topic_v1.description}")
import static org.openmetadata.sdk.fluent.Topics.*;
// List all versions
var history = Topics.getVersions("0a021819-982e-4ee4-a5a2-4af30eaa3016");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Topics.getSpecificVersion(
"0a021819-982e-4ee4-a5a2-4af30eaa3016",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/topics/0a021819-982e-4ee4-a5a2-4af30eaa3016/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/topics/0a021819-982e-4ee4-a5a2-4af30eaa3016/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "topic",
"versions": [
"{\"id\":\"0a021819-982e-4ee4-a5a2-4af30eaa3016\",\"name\":\"address_book\",\"fullyQualifiedName\":\"sample_kafka.address_book\",\"version\":0.2,\"description\":\"Updated: All Protobuf record events captured with enhanced schema\",\"serviceType\":\"Kafka\"}",
"{\"id\":\"0a021819-982e-4ee4-a5a2-4af30eaa3016\",\"name\":\"address_book\",\"fullyQualifiedName\":\"sample_kafka.address_book\",\"version\":0.1,\"description\":\"All Protobuf record related events gets captured in this topic\",\"serviceType\":\"Kafka\"}"
]
}
Topic Versions
Every change to a topic entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
UUID of the topic.
Get Specific Version
UseGET /v1/topics/{id}/versions/{version} to retrieve a specific version.
UUID of the topic.
Version number to retrieve (e.g.,
0.2).GET /v1/topics/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Topics
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Topics.get_versions("0a021819-982e-4ee4-a5a2-4af30eaa3016")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
topic_v1 = Topics.get_specific_version(
"0a021819-982e-4ee4-a5a2-4af30eaa3016",
"0.1"
)
print(f"Original description: {topic_v1.description}")
import static org.openmetadata.sdk.fluent.Topics.*;
// List all versions
var history = Topics.getVersions("0a021819-982e-4ee4-a5a2-4af30eaa3016");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Topics.getSpecificVersion(
"0a021819-982e-4ee4-a5a2-4af30eaa3016",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/topics/0a021819-982e-4ee4-a5a2-4af30eaa3016/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/topics/0a021819-982e-4ee4-a5a2-4af30eaa3016/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "topic",
"versions": [
"{\"id\":\"0a021819-982e-4ee4-a5a2-4af30eaa3016\",\"name\":\"address_book\",\"fullyQualifiedName\":\"sample_kafka.address_book\",\"version\":0.2,\"description\":\"Updated: All Protobuf record events captured with enhanced schema\",\"serviceType\":\"Kafka\"}",
"{\"id\":\"0a021819-982e-4ee4-a5a2-4af30eaa3016\",\"name\":\"address_book\",\"fullyQualifiedName\":\"sample_kafka.address_book\",\"version\":0.1,\"description\":\"All Protobuf record related events gets captured in this topic\",\"serviceType\":\"Kafka\"}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full topic object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | Topic or version does not exist |
Was this page helpful?
⌘I